import com.urbancode.anthill3.AHPTool
import com.urbancode.anthill3.CommandHelper

def ahptool = new AHPTool();
def props = [];
props = ahptool.getStepProperties();




def btsTask = props['btsTask'];
def application = props['application'];
def bizTalkPackage = props['bizTalkPackage'];
def database = props['database'];
def server = props['server']
def resourceSpec = props['resourceSpec']
def globalParties = props['globalParties']
try {
    def ch = new CommandHelper(new File('.'));
    def args = [];
    args = [btsTask,'ExportApp', '/Package:' + bizTalkPackage];
    //optional parameters 
    if (server) {
        args << '/Server:' + server
        args << server
    }
    if (database) {
        args << '/Database:' + database
    }
    if (application) { 
        args << '/ApplicationName:'+ application
    }
    if (resourceSpec) {
        args << '/ResourceSpec:' + resourceSpec
    }
    if (globalParties) {
        args << '/GlobalParties:' + globalParties
    }
    ch.runCommand(args.join(' '), args);
}
catch (e) {
    println e
}
    