import com.urbancode.anthill3.AHPTool
import com.urbancode.anthill3.CommandHelper
def ahptool = new AHPTool();
def props = [];
props = ahptool.getStepProperties();
def btsTask = props['btsTask'];
def applicationName = props['applicationName'];
def assemblyName = props['assemblyName'];
def destination = props['destination'];
def database = props['database'];
def server = props['server'];
def groupLevel = props['groupLevel'];
def globalParties = props['globalParties'];
try {
    def ch = new CommandHelper(new File('.'));
    def args = [];
    args = [btsTask, 'ExportBindings', '/Destination:' + destination];
    //optional parameters 
    if (server) {
        args << '/Server:' + server
    }
    if (database) {
        args << '/Database' +  database
    }   
   if (groupLevel) {
        args << '/GroupLevel'
    }
    if (applicationName) { 
        args << '/ApplicationName:' + applicationName
    }
    if (assemblyName) { 
        args << '/AssemblyName:' + assemblyName
    }
    if (globalParties) {
        args << '/GlobalParties:' + globalParties
    }
    ch.runCommand(args.join(' '), args);
}
catch (e) {
    println e
    
}
    